Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGenericCell Class Reference

`#include <vtkGenericCell.h>`

Inheritance diagram for vtkGenericCell:

[legend]
Collaboration diagram for vtkGenericCell:

[legend]
List of all members.

## Detailed Description

provides thread-safe access to cells

Date:
  2002/11/12 18:55:41

Revision:
  1.26

vtkGenericCell is a class that provides access to concrete types of cells. It's main purpose is to allow thread-safe access to cells, supporting the vtkDataSet::GetCell(vtkGenericCell *) method. vtkGenericCell acts like any type of cell, it just dereferences an internal representation. The SetCellType() methods use define constants; these are defined in the file vtkCellType.h.

See also:
  vtkCell vtkDataSet

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (82%)
  - Geveci, Berk (7%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkGenericCell.h)`
  - .`cxx` (`/Common/vtkGenericCell.cxx)`

Tests:
  vtkGenericCell (Tests)

Definition at line 52 of file vtkGenericCell.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | ShallowCopy (vtkCell *c)
void | DeepCopy (vtkCell *c)
int | GetCellType ()
int | GetCellDimension ()
int | IsLinear ()
int | RequiresInitialization ()
void | Initialize ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int edgeId)
vtkCell * | GetFace (int faceId)
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
int | GetParametricCenter (float pcoords[3])
void | SetCellType (int cellType)
void | SetCellTypeToEmptyCell ()
void | SetCellTypeToVertex ()
void | SetCellTypeToPolyVertex ()
void | SetCellTypeToLine ()
void | SetCellTypeToPolyLine ()
void | SetCellTypeToTriangle ()
void | SetCellTypeToTriangleStrip ()
void | SetCellTypeToPolygon ()
void | SetCellTypeToPixel ()
void | SetCellTypeToQuad ()
void | SetCellTypeToTetra ()
void | SetCellTypeToVoxel ()
void | SetCellTypeToHexahedron ()
void | SetCellTypeToWedge ()
void | SetCellTypeToPyramid ()
void | SetCellTypeToConvexPointSet ()
void | SetCellTypeToQuadraticEdge ()
void | SetCellTypeToQuadraticTriangle ()
void | SetCellTypeToQuadraticQuad ()
void | SetCellTypeToQuadraticTetra ()
void | SetCellTypeToQuadraticHexahedron ()
## Static Public Methods
vtkGenericCell * | New ()
int | IsTypeOf (const char *type)
vtkGenericCell * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkGenericCell ()
| ~vtkGenericCell ()
## Protected Attributes
vtkCell * | Cell

## Member Typedef Documentation

typedef vtkCell vtkGenericCell::Superclass

| Reimplemented from vtkCell. Definition at line 58 of file vtkGenericCell.h.

## Constructor & Destructor Documentation

vtkGenericCell::vtkGenericCell | ( |  | ) | `[protected]`

vtkGenericCell::~vtkGenericCell | ( |  | ) | `[protected]`

## Member Function Documentation

vtkGenericCell* vtkGenericCell::New | ( |  | ) | `[static]`

| Create handle to any type of cell; by default a vtkEmptyCell. Reimplemented from vtkObject.

virtual const char* vtkGenericCell::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell.

int vtkGenericCell::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

virtual int vtkGenericCell::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

vtkGenericCell* vtkGenericCell::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell.

void vtkGenericCell::ShallowCopy | ( | vtkCell * | c | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell.

void vtkGenericCell::DeepCopy | ( | vtkCell * | c | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell.

int vtkGenericCell::GetCellType | ( |  | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::GetCellDimension | ( |  | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::IsLinear | ( |  | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell.

int vtkGenericCell::RequiresInitialization | ( |  | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell.

void vtkGenericCell::Initialize | ( |  | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell.

int vtkGenericCell::GetNumberOfEdges | ( |  | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::GetNumberOfFaces | ( |  | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

vtkCell* vtkGenericCell::GetEdge | ( | int | edgeId | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

vtkCell* vtkGenericCell::GetFace | ( | int | faceId | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkGenericCell::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkGenericCell::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkGenericCell::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | connectivity,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkGenericCell::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkGenericCell::GetParametricCenter | ( | float | pcoords[3] | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell.

void vtkGenericCell::SetCellType | ( | int | cellType | ) |

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation.

void vtkGenericCell::SetCellTypeToEmptyCell | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 104 of file vtkGenericCell.h. References VTK_EMPTY_CELL.

void vtkGenericCell::SetCellTypeToVertex | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 105 of file vtkGenericCell.h. References VTK_VERTEX.

void vtkGenericCell::SetCellTypeToPolyVertex | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 106 of file vtkGenericCell.h. References VTK_POLY_VERTEX.

void vtkGenericCell::SetCellTypeToLine | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 107 of file vtkGenericCell.h. References VTK_LINE.

void vtkGenericCell::SetCellTypeToPolyLine | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 108 of file vtkGenericCell.h. References VTK_POLY_LINE.

void vtkGenericCell::SetCellTypeToTriangle | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 109 of file vtkGenericCell.h. References VTK_TRIANGLE.

void vtkGenericCell::SetCellTypeToTriangleStrip | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 110 of file vtkGenericCell.h. References VTK_TRIANGLE_STRIP.

void vtkGenericCell::SetCellTypeToPolygon | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 111 of file vtkGenericCell.h. References VTK_POLYGON.

void vtkGenericCell::SetCellTypeToPixel | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 112 of file vtkGenericCell.h. References VTK_PIXEL.

void vtkGenericCell::SetCellTypeToQuad | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 113 of file vtkGenericCell.h. References VTK_QUAD.

void vtkGenericCell::SetCellTypeToTetra | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 114 of file vtkGenericCell.h. References VTK_TETRA.

void vtkGenericCell::SetCellTypeToVoxel | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 115 of file vtkGenericCell.h. References VTK_VOXEL.

void vtkGenericCell::SetCellTypeToHexahedron | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 116 of file vtkGenericCell.h. References VTK_HEXAHEDRON.

void vtkGenericCell::SetCellTypeToWedge | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 117 of file vtkGenericCell.h. References VTK_WEDGE.

void vtkGenericCell::SetCellTypeToPyramid | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 118 of file vtkGenericCell.h. References VTK_PYRAMID.

void vtkGenericCell::SetCellTypeToConvexPointSet | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 119 of file vtkGenericCell.h. References VTK_CONVEX_POINT_SET.

void vtkGenericCell::SetCellTypeToQuadraticEdge | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 120 of file vtkGenericCell.h. References VTK_QUADRATIC_EDGE.

void vtkGenericCell::SetCellTypeToQuadraticTriangle | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 121 of file vtkGenericCell.h. References VTK_QUADRATIC_TRIANGLE.

void vtkGenericCell::SetCellTypeToQuadraticQuad | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 122 of file vtkGenericCell.h. References VTK_QUADRATIC_QUAD.

void vtkGenericCell::SetCellTypeToQuadraticTetra | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 123 of file vtkGenericCell.h. References VTK_QUADRATIC_TETRA.

void vtkGenericCell::SetCellTypeToQuadraticHexahedron | ( |  | ) | `[inline]`

| This method is used to support the vtkDataSet::GetCell(vtkGenericCell ) method. It allows vtkGenericCell to act like any cell type by dereferencing an internal instance of a concrete cell type. When you set the cell type, you are resetting a pointer to an internal cell which is then used for computation. Definition at line 124 of file vtkGenericCell.h. References VTK_QUADRATIC_HEXAHEDRON.

## Member Data Documentation

vtkCell* vtkGenericCell::Cell`[protected]`

| Definition at line 131 of file vtkGenericCell.h.

The documentation for this class was generated from the following file:

- Common/vtkGenericCell.h